Macaulay2 » Documentation
Packages » Schubert2 :: Base
next | previous | forward | backward | up | index | toc

# Base -- get the base variety of a flag bundle

- Usage:
    `F.Base`
- Inputs:
  - F, an abstract flag bundle,
- Outputs:
  - an abstract variety, the base variety of $F$

## Description

    i1 : X = abstractProjectiveSpace 4

    o1 = X

    o1 : a flag bundle with subquotient ranks {1, 4}

    i2 : X.Base

    o2 = point

    o2 : an abstract variety of dimension 0

    i3 : Y = abstractProjectiveSpace_3 X

    o3 = Y

    o3 : a flag bundle with subquotient ranks {1, 3}

    i4 : Y.Base

    o4 = X

    o4 : a flag bundle with subquotient ranks {1, 4}

## Functions with optional argument named Base:

- `inclusion(...,Base=>...)` -- see inclusion -- build the freest possible inclusion map

## For the programmer

The object Base is a symbol.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Schubert2.m2:1857:0.